--[[
Installs and loads plugins and plugins settings
--]]

-- Packer startup
return require('packer').startup(function(use)
	use 'wbthomason/packer.nvim' -- packer can manage itself

	use { -- install fzf as a neovim plugin
		'junegunn/fzf', 
		run = './install --bin'
	}

	use 'vijaymarupudi/nvim-fzf' -- link between lua and fzf

	use { 'ibhagwan/fzf-lua', -- fzf.vim replacement with lua (only for
--linux)
	  -- optional for icon support
	  requires = { 'nvim-tree/nvim-web-devicons' }
	}

	use 'tpope/vim-fugitive' -- Git plugin

	use 'glepnir/dashboard-nvim' -- dashboard

	use 'lukas-reineke/indent-blankline.nvim' -- add indentation guides
--to all lines

	use {'nvim-treesitter/nvim-treesitter', -- parser generator tool
-- (completion and better syntax highlighting)
		run = function()
			local ts_update = require('nvim-treesitter.install').update(
				{ with_sync = true }
			)
			ts_update()
		end,
	}

	use 'junegunn/gv.vim' -- git commit browser for vim-fugitive

	use 'junegunn/vim-peekaboo' -- real time view of the register

	use 'junegunn/vim-easy-align' -- align multiple line on a symbol

	use 'tanvirtin/monokai.nvim' -- coloscheme

	use 'nvim-tree/nvim-web-devicons' -- adds icons to plugins
end)
